ServerControllerGetServerByName Method |
POST /Server/Name
Gets a server info.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Name")]
public IActionResult GetServerByName(
[FromBodyAttribute] string name,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Name")>
Public Function GetServerByName (
<FromBodyAttribute> name As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Name")]
IActionResult^ GetServerByName(
[FromBodyAttribute] String^ name,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Name")>]
member GetServerByName :
[<FromBodyAttribute>] name : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- name
- Type: SystemString
The name of the server. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
ServerInfoData object containing the server info data, or a status code indicating the problem.
See Also